# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'yadecli/version'

Gem::Specification.new do |spec|
  spec.name          = 'yadecli'
  spec.version       = Yadecli::VERSION
  spec.authors       = ['Sebastian Freund']
  spec.email         = ['seba1403@gmail.com']

  spec.summary       = 'Commandline Util to manage development projects'
  spec.description   = 'Manage development project'
  spec.homepage      = 'https://gitlab.com/yadedev/yade-cli'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = 'TODO: Set to 'http://mygemserver.com'
  # else
  #   raise 'RubyGems 2.0 or newer is required to protect against public gem pushes.'
  # end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'bin'
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib', 'scripts']

  spec.add_dependency 'yade-domain-rest-client', '~> 0.1'
  spec.add_dependency 'yade-project-rest-client', '~> 0.1'
  spec.add_dependency 'yade-composer-rest-client', '~> 0.1'

  spec.add_dependency 'activemodel', '~> 5.2'
  spec.add_dependency 'artii', '~> 2.1'
  spec.add_dependency 'colorize', '~> 0.8'
  spec.add_dependency 'dotenv', '~> 2.5'
  spec.add_dependency 'gitlab', '~> 3.6'
  spec.add_dependency 'httparty', '~> 0.13'
  spec.add_dependency 'net-ssh', '~> 5.0'
  spec.add_dependency 'rest-client', '~> 2.0'
  spec.add_dependency 'settingslogic', '~> 2.0'
  spec.add_dependency 'thor', '~> 0.19'
  spec.add_dependency 'tty-command', '~> 0.8'
  spec.add_dependency 'tty-prompt', '~> 0.16'
  spec.add_dependency 'tty-table', '~> 0.10'
  spec.add_dependency 'mutations', '~> 0.8'

  spec.add_development_dependency 'aruba', '~> 0.14'
  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rspec-json_expectations', '~> 2.1'
  spec.add_development_dependency 'rubocop', '~> 0.58.0'
end
